import request from '@/utils/request'

// 查询提现渠道列表
export function listChannelWithdraw(query) {
  return request({
    url: '/ss/channelWithdraw/list',
    method: 'get',
    params: query
  })
}

// 查询提现渠道详细
export function getChannelWithdraw(channelId) {
  return request({
    url: '/ss/channelWithdraw/' + channelId,
    method: 'get'
  })
}

// 新增提现渠道
export function addChannelWithdraw(data) {
  return request({
    url: '/ss/channelWithdraw',
    method: 'post',
    data: data
  })
}

// 修改提现渠道
export function updateChannelWithdraw(data) {
  return request({
    url: '/ss/channelWithdraw',
    method: 'put',
    data: data
  })
}

// 删除提现渠道
export function delChannelWithdraw(channelId) {
  return request({
    url: '/ss/channelWithdraw/' + channelId,
    method: 'delete'
  })
}
